org.apache.solr.search.facet

## Class UnInvertedField.DocToTerm

- java.lang.Object
- - org.apache.solr.search.facet.UnInvertedField.DocToTerm

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    UnInvertedField

      public class UnInvertedField.DocToTerm
      extends Object
      implements Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocToTerm()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `getBigTerms(int doc, UnInvertedField.Callback target)`
    `void` | `getSmallTerms(int doc, UnInvertedField.Callback target)`
    `TermsEnum` | `getTermsEnum()`
    `BytesRef` | `lookupOrd(int ord)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocToTerm

          public DocToTerm()
                    throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### lookupOrd

          public BytesRef lookupOrd(int ord)
                             throws IOException

      Throws:
        `IOException`

    - #### getTermsEnum

          public TermsEnum getTermsEnum()
                                 throws IOException

      Throws:
        `IOException`

    - #### getBigTerms

          public void getBigTerms(int doc,
                                  UnInvertedField.Callback target)
                           throws IOException

      Throws:
        `IOException`

    - #### getSmallTerms

          public void getSmallTerms(int doc,
                                    UnInvertedField.Callback target)

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.